| Version: 3.2.5

Classes | Macros | Variables
wizard.h File Reference

## Classes

class | wxWizardPage
| wxWizardPage is one of the screens in wxWizard: it must know what are the following and preceding pages (which may be NULL for the first/last page). More...
class | wxWizardEvent
| wxWizardEvent class represents an event generated by the wxWizard: this event is first sent to the page itself and, if not processed there, goes up the window hierarchy as usual. More...
class | wxWizardPageSimple
| wxWizardPageSimple is the simplest possible wxWizardPage implementation: it just returns the pointers given to its constructor from wxWizardPage::GetNext() and wxWizardPage::GetPrev() functions. More...
class | wxWizard
| wxWizard is the central class for implementing 'wizard-like' dialogs. More...

## Macros

#define | wxWIZARD_EX_HELPBUTTON 0x00000010
#define | wxWIZARD_VALIGN_TOP 0x01
#define | wxWIZARD_VALIGN_CENTRE 0x02
#define | wxWIZARD_VALIGN_BOTTOM 0x04
#define | wxWIZARD_HALIGN_LEFT 0x08
#define | wxWIZARD_HALIGN_CENTRE 0x10
#define | wxWIZARD_HALIGN_RIGHT 0x20
#define | wxWIZARD_TILE 0x40

## Variables

wxEventType | wxEVT_WIZARD_PAGE_CHANGED
wxEventType | wxEVT_WIZARD_PAGE_CHANGING
wxEventType | wxEVT_WIZARD_CANCEL
wxEventType | wxEVT_WIZARD_HELP
wxEventType | wxEVT_WIZARD_FINISHED
wxEventType | wxEVT_WIZARD_PAGE_SHOWN
wxEventType | wxEVT_WIZARD_BEFORE_PAGE_CHANGED

## Macro Definition Documentation

## ◆ wxWIZARD_EX_HELPBUTTON

#define wxWIZARD_EX_HELPBUTTON 0x00000010

## ◆ wxWIZARD_HALIGN_CENTRE

#define wxWIZARD_HALIGN_CENTRE 0x10

## ◆ wxWIZARD_HALIGN_LEFT

#define wxWIZARD_HALIGN_LEFT 0x08

## ◆ wxWIZARD_HALIGN_RIGHT

#define wxWIZARD_HALIGN_RIGHT 0x20

## ◆ wxWIZARD_TILE

#define wxWIZARD_TILE 0x40

## ◆ wxWIZARD_VALIGN_BOTTOM

#define wxWIZARD_VALIGN_BOTTOM 0x04

## ◆ wxWIZARD_VALIGN_CENTRE

#define wxWIZARD_VALIGN_CENTRE 0x02

## ◆ wxWIZARD_VALIGN_TOP

#define wxWIZARD_VALIGN_TOP 0x01

## Variable Documentation

## ◆ wxEVT_WIZARD_BEFORE_PAGE_CHANGED

wxEventType wxEVT_WIZARD_BEFORE_PAGE_CHANGED

## ◆ wxEVT_WIZARD_CANCEL

wxEventType wxEVT_WIZARD_CANCEL

## ◆ wxEVT_WIZARD_FINISHED

wxEventType wxEVT_WIZARD_FINISHED

## ◆ wxEVT_WIZARD_HELP

wxEventType wxEVT_WIZARD_HELP

## ◆ wxEVT_WIZARD_PAGE_CHANGED

wxEventType wxEVT_WIZARD_PAGE_CHANGED

## ◆ wxEVT_WIZARD_PAGE_CHANGING

wxEventType wxEVT_WIZARD_PAGE_CHANGING

## ◆ wxEVT_WIZARD_PAGE_SHOWN

wxEventType wxEVT_WIZARD_PAGE_SHOWN